import request from '@/utils/request'

// 查询报警统计（上月）列表
export function listMonth(query) {
  return request({
    url: '/production/month/list',
    method: 'get',
    params: query
  })
}

// 月份统计
export function monthData(query) {
  return request({
    url: '/production/month/monthData',
    method: 'get',
    params: query
  })
}

// 查询报警统计（上月）详细
export function getMonth(id) {
  return request({
    url: '/production/month/' + id,
    method: 'get'
  })
}

// 新增报警统计（上月）
export function addMonth(data) {
  return request({
    url: '/production/month',
    method: 'post',
    data: data
  })
}

// 修改报警统计（上月）
export function updateMonth(data) {
  return request({
    url: '/production/month',
    method: 'put',
    data: data
  })
}

// 删除报警统计（上月）
export function delMonth(id) {
  return request({
    url: '/production/month/' + id,
    method: 'delete'
  })
}

// 导出报警统计（上月）
export function exportMonth(query) {
  return request({
    url: '/production/month/export',
    method: 'get',
    params: query
  })
}
